.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  width: var(--sidebar-width);
  height: 100vh;
  background: var(--color-white);
  border-right: 1px solid var(--color-base-darker);
  margin-left: calc(-1 * var(--sidebar-width));
  transition: all var(--transition);
  z-index: 300;
}
.sidebar:popover-open {
  margin-left: 0;
}
.sidebar::backdrop {
  background: rgba(var(--rgb-black), 0.3);
}
/* @media (min-width: 64rem) {
  .has-sidebar .sidebar {
    margin-left: 0;
    top: var(--header-height);
    height: calc(100vh - var(--header-height));
  }
  .sidebar::backdrop {
    display: none;
  }
} */

.sidebar > div {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  padding: 1rem;
  padding-bottom: 4rem;
  font-size: 0.9rem;
  overflow-x: hidden;
  overflow-y: auto;
  scrollbar-width: thin;
  overscroll-behavior: contain;
}
@media (max-width: 64rem) {
  .sidebar > div {
    font-size: 1rem;
  }
}
@media (min-width: 96rem) {
  .sidebar > div {
    padding-top: 2rem;
    padding-left: 2rem;
    font-size: 1rem;
  }
}

.sidebar form.search {
  margin: 0 0 1.4em 0;
}

.sidebar__variants {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.25rem 1rem 0.5rem;
  margin: 0 0 1rem 0;
  border-bottom: 1px solid var(--color-base-darker);
  min-height: 2.5rem;
}
.sidebar__variants button {
  color: var(--color-gray-light);
  height: 100%;
}
.sidebar__variants svg {
  fill: currentColor;
  width: 1em;
  height: 1em;
}
@media (min-width: 64rem) {
  .sidebar__variants {
    display: none;
  }
}
